Package ch.qos.logback.core.subst

# Class Parser

java.lang.Object
ch.qos.logback.core.subst.Parser

public class Parser extends Object
Parse a token list returning a node chain.

Author:
  Ceki Gulcu

## Constructor Summary

Constructors
Constructor
Description
`Parser(List<Token> tokenList)`

## Method Summary

Modifier and Type
Method
Description
`Node`
`parse()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Parser

public Parser(List<Token> tokenList)

## Method Details

### parse

public Node parse() throws ScanException

Throws:
  `ScanException`